aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorYann Herklotz <ymherklotz@gmail.com>2018-03-07 11:42:44 +0000
committerYann Herklotz <ymherklotz@gmail.com>2018-03-07 11:42:44 +0000
commit14931421f0e2a3655d2458304a3aec6aeaf08849 (patch)
treec94fc370fd1b9602a3d42aaf8f79dfb9fe01c97b /build.sh
parent3d0ccf6f619788665f0cf536b6a1a15ddbb89dfd (diff)
downloadFMark-14931421f0e2a3655d2458304a3aec6aeaf08849.tar.gz
FMark-14931421f0e2a3655d2458304a3aec6aeaf08849.zip
Fixed failing tests and build script
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 3e306c3..c294608 100755
--- a/build.sh
+++ b/build.sh
@@ -26,11 +26,26 @@ fi
echo "Running F# tests"
cd $BASE_DIR/FMark/src/FMarkCLI
dotnet build
+
+if [[ "$?" != "0" ]]; then
+ exit 1
+fi
+
dotnet run --no-build -- -t
+if [[ "$?" != "0" ]]; then
+ exit 1
+fi
+
if [[ -z $TRAVIS_BUILD_DIR ]]; then
echo "Running javascript build"
cd $BASE_DIR/FMark/src/FMarkFable
dotnet restore
+ if [[ "$?" != "0" ]]; then
+ exit 1
+ fi
dotnet fable yarn-dev
+ if [[ "$?" != "0" ]]; then
+ exit 1
+ fi
fi